Subject: Re: linux-next: manual merge of the staging tree with the kbuild tree

From: Boaz Harrosh <[email-masked]>
Date: Thu, 27 Nov 2014 10:24:37 +0200

> Hi Greg,
> 
> Today's linux-next merge of the staging tree got a conflict
> in .gitignore between commit dfe0487249e5 (".gitignore: Add Kdevelop4
> project files") from the kbuild tree and commit 75185f57f110 ("staging:
> unisys: fix CamelCase macro names in controlframework.h") from the
> staging tree.
> 

Hi Greg Michal

I suggest to unify the two like:

+# IDE project files
+*.kdev4
+.project
+.cproject

And put the one patch from one tree. There is no need to
comment about every IDE out there, just the one section for
them all, I think

Tell me if you guys need a patch and/or which tree should take
it?

Thanks
Boaz

> I fixed it up (see below) and can carry the fix as necessary (no action
> is required).
> 
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> 
> diff --cc .gitignore
> index ce57b79670a5,6bfac06d79ca..000000000000
> --- a/.gitignore
> +++ b/.gitignore
> @@@ -97,5 -97,6 +97,9 @@@ x509.genke
>   # Kconfig presets
>   all.config
>   
>  +# Kdevelop4
>  +*.kdev4
> ++
> + #eclipse files
> + .project
> + .cproject